package com.dcsoft.system.kq.service;



import com.dcsoft.system.kq.domain.KqHolidayGroup;

import java.util.List;

/**
 * 假期设置Service接口
 *
 * @author dcsoft
 * @date 2023-01-11
 */
public interface IKqHolidayGroupService
{
    /**
     * 查询假期设置
     *
     * @param holidayId 假期设置主键
     * @return 假期设置
     */
    public KqHolidayGroup selectKqHolidayGroupByHolidayId(Long holidayId);

    /**
     * 查询假期设置列表
     *
     * @param kqHoliday 假期设置
     * @return 假期设置集合
     */
    public List<KqHolidayGroup> selectKqHolidayGroupList(KqHolidayGroup kqHoliday);

    /**
     * 新增假期设置
     *
     * @param kqHoliday 假期设置
     * @return 结果
     */
    public int insertKqHolidayGroup(KqHolidayGroup kqHoliday);

    /**
     * 修改假期设置
     *
     * @param kqHoliday 假期设置
     * @return 结果
     */
    public int updateKqHolidayGroup(KqHolidayGroup kqHoliday);

    /**
     * 批量删除假期设置
     *
     * @param holidayIds 需要删除的假期设置主键集合
     * @return 结果
     */
    public int deleteKqHolidayGroupByHolidayIds(Long[] holidayIds);

    /**
     * 删除假期设置信息
     *
     * @param holidayId 假期设置主键
     * @return 结果
     */
    public int deleteKqHolidayGroupByHolidayId(Long holidayId);

    public KqHolidayGroup selectKqHolidayGroupByHolidayTimeStamp(Long timeStamp,Long groupId);

    public int deleteKqHolidayGroupByHolidayTimeStamp(Long timeStamp,Long groupId);
}
